## python-libtmux 0.30.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
SHELL := /bin/bash
HTTP_PORT     = 8023
WATCH_FILES= find .. -type f -not -path '*/\.*' | grep -i '.*[.]\(rst\|md\)\$\|.*[.]py\$\|CHANGES\|TODO\|.*conf\.py' 2> /dev/null

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = poetry run sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/libtmux.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/libtmux.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/libtmux"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/libtmux"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

redirects:
	$(SPHINXBUILD) -b rediraffewritediff $(ALLSPHINXOPTS) $(BUILDDIR)/redirects
	@echo
	@echo "Build finished. The redirects are in rediraffe_redirects."

checkbuild:
	rm -rf $(BUILDDIR)
	$(SPHINXBUILD) -n -q ./ $(BUILDDIR)

watch:
	if command -v entr > /dev/null; then ${WATCH_FILES} | entr -c $(MAKE) html; else $(MAKE) html; fi

serve:
	@echo '=============================================================='
	@echo
	@echo 'docs server running at http://localhost:${HTTP_PORT}/'
	@echo
	@echo '=============================================================='
	@$(MAKE) serve_py3

serve_py3:
	python -m http.server ${HTTP_PORT} --directory _build/html

dev:
	$(MAKE) -j watch serve

start:
	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} $(O)

design:
	# This adds additional watch directories (for _static file changes) and disable incremental builds
	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} --watch "." -a $(O)

## python-libtmux 0.7.3

=== debian/changelog ===
python-libtmux (0.7.3-1) unstable; urgency=medium

  * Imported Upstream version 0.7.3

  [ Sebastien Delafond ]

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Jul 2017 14:34:49 +0200

python-libtmux (0.6.3-4) unstable; urgency=medium

  * Target unstable

 -- Sebastien Delafond <seb@debian.org>  Thu, 22 Jun 2017 10:09:49 +0200

python-libtmux (0.6.3-3) experimental; urgency=medium

  * Add Vcs-* fields

 -- Sebastien Delafond <seb@debian.org>  Sun, 19 Feb 2017 12:01:39 +0100

python-libtmux (0.6.3-2) experimental; urgency=medium

  * NEW package (required dependency for tmuxp, RFP #774055)
  * Imported Upstream version 0.6.3
  * Fix descriptions
  * Bump-up Standards-Version
  * Change source package name to python-tmux

 -- Sebastien Delafond <seb@debian.org>  Sat, 18 Feb 2017 11:19:12 +0100    

libtmux (0.6.1-1ubuntu1~ubuntu17.04.1~ppa1) zesty; urgency=medium

  * bump version
  * No-change backport to zesty

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 01 Jan 2017 17:12:14 +0300

libtmux (0.6.1-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5

 -- Ivan Borzenkov <ivan1986@list.ru>  Sun, 01 Jan 2017 16:08:32 +0300

=== debian/control ===
Source: python-libtmux
Maintainer: Sebastien Delafond <seb@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: http://github.com/tony/libtmux/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-libtmux.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-libtmux.git

Package: python-libtmux
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python scripting library and ORM for tmux
 Builds upon tmux's target and formats to create an object mapping to
 traverse, inspect and interact with live tmux sessions.

Package: python3-libtmux
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python scripting library and ORM for tmux (python3)
 Builds upon tmux's target and formats to create an object mapping to
 traverse, inspect and interact with live tmux sessions.
 .
 This is the Python 3 package

## python-libtmux 0.7.7

=== debian/changelog ===
python-libtmux (0.7.7-2) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Feb 2018 17:23:41 +0100

python-libtmux (0.7.7-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.7.7

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 11:33:34 +0100

python-libtmux (0.7.5-1) unstable; urgency=medium

  * New upstream version 0.7.5

 -- Sebastien Delafond <seb@debian.org>  Sat, 07 Oct 2017 10:40:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 9)
 Standards-Version: 3.9.8
 Homepage: http://github.com/tony/libtmux/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-libtmux.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-libtmux.git
+Vcs-Git: https://salsa.debian.org/debian/python-libtmux
+Vcs-Browser: https://salsa.debian.org/debian/python-libtmux
 
 Package: python-libtmux
 Architecture: all

=== debian/watch ===
# please also check http://pypi.debian.net/libtmux/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/libtmux/libtmux-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-libtmux 0.8.0

=== debian/changelog ===
python-libtmux (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Bump-up Standards-Version
  * Use canonical URL for Vcs-Git
  * Use https for copyright-format URL
  * Use https for homepage URL
  * Use https for watch URL

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 13:33:10 +0200

=== debian/control ===
Source: python-libtmux
Maintainer: Sebastien Delafond <seb@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 9)
Standards-Version: 4.1.3
Homepage: https://github.com/tony/libtmux/
Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
Vcs-Browser: https://salsa.debian.org/debian/python-libtmux

Package: python-libtmux
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python scripting library and ORM for tmux
 libtmux is the tool behind tmuxp, a tmux workspace manager in python.
 .
 Builds upon tmux's target and formats to create an object mapping to
 traverse, inspect and interact with live tmux sessions.

Package: python3-libtmux
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python scripting library and ORM for tmux (python3)
 libtmux is the tool behind tmuxp, a tmux workspace manager in python.
 .
 Builds upon tmux's target and formats to create an object mapping to
 traverse, inspect and interact with live tmux sessions.
 .
 This is the Python 3 package

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sun, 01 Jan 2017 16:08:32 +0300
export PYBUILD_NAME=libtmux
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/libtmux/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/libtmux/libtmux-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-libtmux 0.8.2

=== debian/changelog ===
python-libtmux (0.8.2-2) unstable; urgency=medium

  [Ondřej Nový]
  * d/watch: Use https protocol

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 08:55:12 +0100
  

python-libtmux (0.8.2-1) unstable; urgency=medium

  [Ondřej Nový]
  * d/watch: Use https protocol
  
  [Sébastien Delafond]
  * Remove python2 package
  * Depend on tmux (Closes: #945782)
  * New upstream version 0.8.2

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 08:52:12 +0100

=== debian/control ===
Source: python-libtmux
Maintainer: Sebastien Delafond <seb@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9)
Standards-Version: 4.4.1
Homepage: https://github.com/tony/libtmux/
Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
Vcs-Browser: https://salsa.debian.org/debian/python-libtmux

Package: python3-libtmux
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, tmuxp
Description: Python scripting library and ORM for tmux (python3)
 libtmux is the tool behind tmuxp, a tmux workspace manager in Python.
 .
 Builds upon tmux's target and formats to create an object mapping to
 traverse, inspect and interact with live tmux sessions.
 .
 This is the Python 3 package

=== debian/watch ===
# please also check https://pypi.debian.net/libtmux/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/libtmux/libtmux-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-libtmux 0.10.1

=== debian/changelog ===
python-libtmux (0.10.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.10.1
  * Bump version in d/watch
  * Bump-up Standards-Version
  * Use debhelper-compat

 -- Sebastien Delafond <seb@debian.org>  Sun, 10 Oct 2021 09:36:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
+Standards-Version: 4.5.1
 Homepage: https://github.com/tony/libtmux/
 Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
 Vcs-Browser: https://salsa.debian.org/debian/python-libtmux

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=libtmux
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-libtmux 0.15.8

=== debian/changelog ===
python-libtmux (0.15.8-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: exclude slow test_function_times_out_no_rise (Closes: #1023715)

 -- Sebastien Delafond <seb@debian.org>  Wed, 09 Nov 2022 08:02:32 +0100

python-libtmux (0.15.8-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.15.8
  * Bump-up Standards-Version
  * d/control: depend on tmux instead of tmuxp
  * Move pytest to autokpgtest, as it fails in sbuild

 -- Sebastien Delafond <seb@debian.org>  Sun, 23 Oct 2022 12:58:09 +0200

## python-libtmux 0.15.10

=== debian/changelog ===
python-libtmux (0.15.10-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.15.10

 -- Sebastien Delafond <seb@debian.org>  Thu, 24 Nov 2022 17:23:35 +0100

python-libtmux (0.15.8-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: exclude two more slow tests

 -- Sebastien Delafond <seb@debian.org>  Mon, 21 Nov 2022 14:14:55 +0100

## python-libtmux 0.21.0

=== debian/changelog ===
python-libtmux (0.21.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.21.0

 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Feb 2023 07:48:01 +0100

python-libtmux (0.16.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.16.1

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Dec 2022 16:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/tony/libtmux/
 Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
 Vcs-Browser: https://salsa.debian.org/debian/python-libtmux
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-libtmux
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, tmuxp
+Depends: ${misc:Depends}, ${python3:Depends}, tmux
 Description: Python scripting library and ORM for tmux (python3)
  libtmux is the tool behind tmuxp, a tmux workspace manager in Python.
  .

## python-libtmux 0.30.2

=== debian/changelog ===
python-libtmux (0.30.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.30.2

 -- Sebastien Delafond <seb@debian.org>  Sat, 17 Feb 2024 12:46:00 +0100

python-libtmux (0.25.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.25.0

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Dec 2023 11:18:20 +0100

python-libtmux (0.23.2-1) unstable; urgency=medium

  * New upstream version 0.23.2
  * d/control: build-depend on pybuild-plugin-pyproject and python3-poetry-core
  * d/control: bump up Standards-Version
  
 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Sep 2023 09:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,14 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-poetry-core,
+ python3-setuptools,
+Standards-Version: 4.6.2
 Homepage: https://github.com/tony/libtmux/
 Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
 Vcs-Browser: https://salsa.debian.org/debian/python-libtmux

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=libtmux

export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/conftest.py
export PYBUILD_TEST_ARGS=-p libtmux.pytest_plugin -k "not test_pytest_plugin and not test_function_times_out and not test_retry_three_times_no_raise_assert"

export PYBUILD_TEST_PYTEST=0

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-setuptools, python3-all, python3-pytest, python3-pytest-rerunfailures, python3-pytest-mock, tmux

## python-libtmux 0.37.0

=== debian/changelog ===
python-libtmux (0.37.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.37.0
  * tests: blacklist a couple of failing tests
  
 -- Sebastien Delafond <seb@debian.org>  Tue, 14 May 2024 07:34:27 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=libtmux

export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-setuptools, python3-all, python3-pytest, python3-pytest-rerunfailures, python3-pytest-mock, tmux
Restrictions: allow-stderr

## python-libtmux 0.40.1

=== debian/changelog ===
python-libtmux (0.40.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.40.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Dec 2024 07:34:29 +0100

python-libtmux (0.39.0-2) unstable; urgency=medium

  * Team upload.
  * Add the window-command-env patch to fix new_session() with both
    window_command and environment specified. Closes: #1090080
  * Make the autopkgtest exit immediately on failure.

 -- Peter Pentchev <roam@debian.org>  Mon, 16 Dec 2024 13:23:45 +0200

python-libtmux (0.39.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.39.0
  * Build-depend on python3-hatchling instead of python3-poetry-core
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Dec 2024 12:48:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
- python3-poetry-core,
+ python3-hatchling,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/tony/libtmux/
 Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
 Vcs-Browser: https://salsa.debian.org/debian/python-libtmux

## python-libtmux 0.42.0

=== debian/changelog ===
python-libtmux (0.42.0-4) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Don't break tmuxp 1.52.2-1

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Feb 2025 06:06:57 +0100

python-libtmux (0.42.0-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Add breaks: tmuxp <= 1.52.2-1

 -- Sebastien Delafond <seb@debian.org>  Mon, 17 Feb 2025 08:48:59 +0100

python-libtmux (0.42.0-2) unstable; urgency=medium

  [ Peter Pentchev ]
  * Move a typing-extensions import into a TYPE_CHECKING block, and only
    use typing-extensions if needed (Closes: #1095346)

 -- Sebastien Delafond <seb@debian.org>  Sat, 08 Feb 2025 09:02:48 +0100

python-libtmux (0.42.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.42.0
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Feb 2025 09:40:23 +0100

## python-libtmux 0.45.0

=== debian/changelog ===
python-libtmux (0.45.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.45.0
  * Remove upstreamed patches

 -- Sebastien Delafond <seb@debian.org>  Mon, 24 Feb 2025 07:35:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
@@ -18,6 +18,7 @@
 Package: python3-libtmux
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, tmux
+Breaks: tmuxp (<< 1.52.2-1)
 Description: Python scripting library and ORM for tmux (python3)
  libtmux is the tool behind tmuxp, a tmux workspace manager in Python.
  .

## python-libtmux 0.46.1

=== docs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = poetry run sphinx-build
+SPHINXBUILD   = uv run sphinx-build
 PAPER         =
 BUILDDIR      = _build
 
@@ -181,8 +181,8 @@
 	$(MAKE) -j watch serve
 
 start:
-	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} $(O)
+	uv run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} $(O)
 
 design:
 	# This adds additional watch directories (for _static file changes) and disable incremental builds
-	poetry run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} --watch "." -a $(O)
+	uv run sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --port ${HTTP_PORT} --watch "." -a $(O)

=== docs/requirements.txt ===
-r ../requirements/doc.txt

=== debian/changelog ===
python-libtmux (0.46.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.46.1

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Mar 2025 18:44:51 +0100

python-libtmux (0.46.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.46.0
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Mar 2025 09:31:41 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/libtmux/libtmux-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-libtmux 0.46.2

=== Makefile ===
PY_FILES= find . -type f -not -path '*/\.*' | grep -i '.*[.]py$$' 2> /dev/null
DOC_FILES= find . -type f -not -path '*/\.*' | grep -i '.*[.]rst\$\|.*[.]md\$\|.*[.]css\$\|.*[.]py\$\|mkdocs\.yml\|CHANGES\|TODO\|.*conf\.py' 2> /dev/null
ALL_FILES= find . -type f -not -path '*/\.*' | grep -i '.*[.]py\$\|.*[.]rst\$\|.*[.]md\$\|.*[.]css\$\|.*[.]py\$\|mkdocs\.yml\|CHANGES\|TODO\|.*conf\.py' 2> /dev/null


entr_warn:
	@echo "----------------------------------------------------------"
	@echo "     ! File watching functionality non-operational !      "
	@echo "                                                          "
	@echo "Install entr(1) to automatically run tasks on file change."
	@echo "See https://eradman.com/entrproject/                      "
	@echo "----------------------------------------------------------"

test:
	uv run py.test $(test)

start:
	$(MAKE) test; uv run ptw .

watch_test:
	if command -v entr > /dev/null; then ${ALL_FILES} | entr -c $(MAKE) test; else $(MAKE) test entr_warn; fi

build_docs:
	$(MAKE) -C docs html

start_docs:
	$(MAKE) -C docs design

design_docs:
	$(MAKE) -C docs design

watch_docs:
	if command -v entr > /dev/null; then ${DOC_FILES} | entr -c $(MAKE) build_docs; else $(MAKE) build_docs entr_warn; fi

serve_docs:
	$(MAKE) -C docs serve

dev_docs:
	$(MAKE) -j watch_docs serve_docs

ruff_format:
	uv run ruff format .

ruff:
	uv run ruff check .

watch_ruff:
	if command -v entr > /dev/null; then ${PY_FILES} | entr -c $(MAKE) ruff; else $(MAKE) ruff entr_warn; fi

mypy:
	uv run mypy `${PY_FILES}`

watch_mypy:
	if command -v entr > /dev/null; then ${PY_FILES} | entr -c $(MAKE) mypy; else $(MAKE) mypy entr_warn; fi

format_markdown:
	prettier --parser=markdown -w *.md docs/*.md docs/**/*.md CHANGES

monkeytype_create:
	uv run monkeytype run `uv run which py.test`

monkeytype_apply:
	uv run monkeytype list-modules | xargs -n1 -I{} sh -c 'uv run monkeytype apply {}'

=== debian/changelog ===
python-libtmux (0.46.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/watch: v5
  * New upstream version 0.46.2

 -- Sebastien Delafond <seb@debian.org>  Sat, 20 Sep 2025 06:42:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/l/libtmux/
Matching-Pattern: libtmux-@ANY_VERSION@@ARCHIVE_EXT@

## python-libtmux 0.47.0

=== debian/changelog ===
python-libtmux (0.47.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.47.0

 -- Sebastien Delafond <seb@debian.org>  Thu, 06 Nov 2025 12:13:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-hatchling,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tony/libtmux/
 Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
 Vcs-Browser: https://salsa.debian.org/debian/python-libtmux

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-setuptools, python3-all, python3-pytest, python3-pytest-rerunfailures, python3-pytest-mock, tmux
Restrictions: allow-stderr

Tests: pytest-import-plugin
Depends: @, python3-all, python3-pytest
Restrictions: allow-stderr

## python-libtmux 0.49.0

=== debian/changelog ===
python-libtmux (0.49.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: reformat excluded tests list
  * New upstream version 0.49.0

 -- Sebastien Delafond <seb@debian.org>  Sun, 30 Nov 2025 11:05:21 +0100

## python-libtmux 0.50.0

=== debian/changelog ===
python-libtmux (0.50.0-5) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: blacklist another test that's flaky on s390

 -- Sebastien Delafond <seb@debian.org>  Sun, 14 Dec 2025 13:35:53 +0100

python-libtmux (0.50.0-4) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: blacklist another of test flaky on s390

 -- Sebastien Delafond <seb@debian.org>  Thu, 11 Dec 2025 20:35:00 +0100

python-libtmux (0.50.0-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: blacklist a couple of tests that prove flaky on slower architectures

 -- Sebastien Delafond <seb@debian.org>  Tue, 09 Dec 2025 05:19:26 +0100

python-libtmux (0.50.0-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: do not run legacy tests or capture_pane*

 -- Sebastien Delafond <seb@debian.org>  Sat, 06 Dec 2025 13:03:40 +0100

python-libtmux (0.50.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.50.0

 -- Sebastien Delafond <seb@debian.org>  Mon, 01 Dec 2025 19:04:16 +0100

## python-libtmux 0.53.0

=== debian/changelog ===
python-libtmux (0.53.0-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Bump-up Standards-Version
  * tests: blacklist one more test that is flaky on ppc64el

 -- Sebastien Delafond <seb@debian.org>  Wed, 31 Dec 2025 07:24:56 +0100

python-libtmux (0.53.0-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/watch: do not include pre-releases
  * New upstream version 0.53.0

 -- Sebastien Delafond <seb@debian.org>  Mon, 29 Dec 2025 14:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-hatchling,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tony/libtmux/
 Vcs-Git: https://salsa.debian.org/debian/python-libtmux.git
 Vcs-Browser: https://salsa.debian.org/debian/python-libtmux

## python-libtmux 0.53.1

=== debian/changelog ===
python-libtmux (0.53.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 0.53.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 23 Feb 2026 13:46:29 +0100

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/l/libtmux/
Matching-Pattern: libtmux-@SEMANTIC_VERSION@@ARCHIVE_EXT@
